#define PYFT2_MODULE
#include "pyft2.h"

static pyft2_C_api capi;

#ifndef PyMODINIT_FUNC
#define PyMODINIT_FUNC void
#endif
PyMODINIT_FUNC
init_ft2module(void)  {
	PyObject *m;
	
	if(PyType_Ready(&LibraryType) < 0) return;
	if(PyType_Ready(&FaceType)    < 0) return;
	if(PyType_Ready(&GlyphType)   < 0) return;
	
	m = Py_InitModule3("_ft2module", NULL, (char*)NULL);
	
	Py_INCREF(&LibraryType);
	Py_INCREF(&FaceType);
	Py_INCREF(&GlyphType);
	
	PyModule_AddObject(m, "Library", (PyObject*)&LibraryType);
	
	capi.LibraryType = &LibraryType;
	capi.FaceType    = &FaceType;
	capi.GlyphType   = &GlyphType;
	
	PyModule_AddObject(m, "_ft2module_C_api",
			   PyCObject_FromVoidPtr(&capi, NULL));
	
}
